> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Object Subscriptions

> API to fetch a paginated list of all parent objects that the given child object is subscribed to.



## OpenAPI

````yaml GET /v1/object/{object_type}/{id}/subscribed_to/object/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/object/{object_type}/{id}/subscribed_to/object/:
    get:
      summary: Fetch Object subscriptions
      description: >-
        API to fetch a paginated list of all parent objects that the given child
        object is subscribed to.
      operationId: fetch-object-subscriptions
      parameters:
        - name: id
          in: path
          description: Unique identifier of the object in your system
          schema:
            type: string
          required: true
        - name: object_type
          in: path
          description: >-
            Used to group similar objects together. Give plural namespace like
            teams, organizations, and roles.
          schema:
            type: string
          required: true
        - name: limit
          in: query
          description: number of results to be returned in API response
          required: true
          schema:
            type: integer
            format: int32
        - name: after
          in: query
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    meta:
                      count: 1
                      limit: 10
                      has_prev: false
                      before: null
                      has_next: false
                      after: null
                    results:
                      - properties: {}
                        object:
                          id: frontend
                          object_type: developer
                          properties:
                            name: frontend
                            technology: react
                          subscriptions_count: 3
                          updated_at: '2024-11-10T21:41:02.673661+00:00'
                        created_at: '2025-04-06T11:00:24.260496+00:00'
                        updated_at: '2025-04-06T11:00:24.260496+00:00'
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      count:
                        type: integer
                        example: 1
                        description: Total number of results.
                      limit:
                        type: integer
                        example: 10
                        description: Maximum number of results returned per request.
                      has_prev:
                        type: boolean
                        description: Indicates if there are previous results.
                      before:
                        type: string
                        description: Cursor for the previous page, if applicable.
                      has_next:
                        type: boolean
                        description: Indicates if there are more results.
                      after:
                        type: string
                        description: Cursor for the next page, if applicable.
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        properties:
                          type: object
                          description: Subscription Properties
                        object:
                          type: object
                          description: payload of the parent object
                        created_at:
                          type: string
                          format: date-time
                          example: '2024-11-10T21:40:02.169501+00:00'
                          description: Timestamp when the record was created.
                        updated_at:
                          type: string
                          format: date-time
                          example: '2024-11-10T21:40:02.169501+00:00'
                          description: Timestamp when the record was last updated.
        '404':
          description: 404 - Not Found
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    message: object 'obj_type/obj_id' not found
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: HTTP status code indicating the error.
                  message:
                    type: string
                    description: >-
                      Error message indicating object_id and type combination is
                      not found
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````